OSDN Git Service

SVNからLinux用NB設定ファイルを取得
authoryukihane <yukihane.feather@gmail.com>
Tue, 2 Aug 2011 09:03:24 +0000 (18:03 +0900)
committeryukihane <yukihane.feather@gmail.com>
Tue, 2 Aug 2011 09:03:24 +0000 (18:03 +0900)
vhook/nbproject/Makefile-Linux_Debug.mk [new file with mode: 0644]
vhook/nbproject/Makefile-impl.mk
vhook/nbproject/Makefile-variables.mk
vhook/nbproject/Package-Linux_Debug.bash [new file with mode: 0644]
vhook/nbproject/configurations.xml
vhook/nbproject/project.xml

diff --git a/vhook/nbproject/Makefile-Linux_Debug.mk b/vhook/nbproject/Makefile-Linux_Debug.mk
new file mode 100644 (file)
index 0000000..86e5611
--- /dev/null
@@ -0,0 +1,133 @@
+#
+# Generated Makefile - do not edit!
+#
+# Edit the Makefile in the project folder instead (../Makefile). Each target
+# has a -pre and a -post target defined where you can add customized code.
+#
+# This makefile implements configuration specific macros and targets.
+
+
+# Environment
+MKDIR=mkdir
+CP=cp
+CCADMIN=CCadmin
+RANLIB=ranlib
+CC=gcc
+CCC=
+CXX=
+FC=
+AS=as
+
+# Macros
+CND_PLATFORM=GNU-Linux-x86
+CND_CONF=Linux_Debug
+CND_DISTDIR=dist
+
+# Include project Makefile
+include Makefile
+
+# Object Directory
+OBJECTDIR=build/${CND_CONF}/${CND_PLATFORM}
+
+# Object Files
+OBJECTFILES= \
+       ${OBJECTDIR}/comment/com_surface.o \
+       ${OBJECTDIR}/chat/process_chat.o \
+       ${OBJECTDIR}/main.o \
+       ${OBJECTDIR}/framehook.o \
+       ${OBJECTDIR}/comment/surf_util.o \
+       ${OBJECTDIR}/chat/chat.o \
+       ${OBJECTDIR}/comment/shadow.o \
+       ${OBJECTDIR}/chat/chat_slot.o \
+       ${OBJECTDIR}/process.o \
+       ${OBJECTDIR}/util.o
+
+# C Compiler Flags
+CFLAGS=
+
+# CC Compiler Flags
+CCFLAGS=
+CXXFLAGS=
+
+# Fortran Compiler Flags
+FFLAGS=
+
+# Assembler Flags
+ASFLAGS=
+
+# Link Libraries and Options
+LDLIBSOPTIONS=-L/media/sdb1/home/yuki/fflibs/lib
+
+# Build Targets
+.build-conf: ${BUILD_SUBPROJECTS}
+       ${MAKE}  -f nbproject/Makefile-Linux_Debug.mk dist/Linux_Debug/GNU-Linux-x86/libvhook.so
+
+dist/Linux_Debug/GNU-Linux-x86/libvhook.so: ${OBJECTFILES}
+       ${MKDIR} -p dist/Linux_Debug/GNU-Linux-x86
+       ${LINK.c} -shared -o ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/libvhook.so -fPIC ${OBJECTFILES} ${LDLIBSOPTIONS} 
+
+${OBJECTDIR}/comment/com_surface.o: nbproject/Makefile-${CND_CONF}.mk comment/com_surface.c 
+       ${MKDIR} -p ${OBJECTDIR}/comment
+       ${RM} $@.d
+       $(COMPILE.c) -g -fPIC  -MMD -MP -MF $@.d -o ${OBJECTDIR}/comment/com_surface.o comment/com_surface.c
+
+${OBJECTDIR}/chat/process_chat.o: nbproject/Makefile-${CND_CONF}.mk chat/process_chat.c 
+       ${MKDIR} -p ${OBJECTDIR}/chat
+       ${RM} $@.d
+       $(COMPILE.c) -g -fPIC  -MMD -MP -MF $@.d -o ${OBJECTDIR}/chat/process_chat.o chat/process_chat.c
+
+${OBJECTDIR}/main.o: nbproject/Makefile-${CND_CONF}.mk main.c 
+       ${MKDIR} -p ${OBJECTDIR}
+       ${RM} $@.d
+       $(COMPILE.c) -g -fPIC  -MMD -MP -MF $@.d -o ${OBJECTDIR}/main.o main.c
+
+${OBJECTDIR}/framehook.o: nbproject/Makefile-${CND_CONF}.mk framehook.c 
+       ${MKDIR} -p ${OBJECTDIR}
+       ${RM} $@.d
+       $(COMPILE.c) -g -fPIC  -MMD -MP -MF $@.d -o ${OBJECTDIR}/framehook.o framehook.c
+
+${OBJECTDIR}/comment/surf_util.o: nbproject/Makefile-${CND_CONF}.mk comment/surf_util.c 
+       ${MKDIR} -p ${OBJECTDIR}/comment
+       ${RM} $@.d
+       $(COMPILE.c) -g -fPIC  -MMD -MP -MF $@.d -o ${OBJECTDIR}/comment/surf_util.o comment/surf_util.c
+
+${OBJECTDIR}/chat/chat.o: nbproject/Makefile-${CND_CONF}.mk chat/chat.c 
+       ${MKDIR} -p ${OBJECTDIR}/chat
+       ${RM} $@.d
+       $(COMPILE.c) -g -fPIC  -MMD -MP -MF $@.d -o ${OBJECTDIR}/chat/chat.o chat/chat.c
+
+${OBJECTDIR}/comment/shadow.o: nbproject/Makefile-${CND_CONF}.mk comment/shadow.c 
+       ${MKDIR} -p ${OBJECTDIR}/comment
+       ${RM} $@.d
+       $(COMPILE.c) -g -fPIC  -MMD -MP -MF $@.d -o ${OBJECTDIR}/comment/shadow.o comment/shadow.c
+
+${OBJECTDIR}/chat/chat_slot.o: nbproject/Makefile-${CND_CONF}.mk chat/chat_slot.c 
+       ${MKDIR} -p ${OBJECTDIR}/chat
+       ${RM} $@.d
+       $(COMPILE.c) -g -fPIC  -MMD -MP -MF $@.d -o ${OBJECTDIR}/chat/chat_slot.o chat/chat_slot.c
+
+${OBJECTDIR}/process.o: nbproject/Makefile-${CND_CONF}.mk process.c 
+       ${MKDIR} -p ${OBJECTDIR}
+       ${RM} $@.d
+       $(COMPILE.c) -g -fPIC  -MMD -MP -MF $@.d -o ${OBJECTDIR}/process.o process.c
+
+${OBJECTDIR}/util.o: nbproject/Makefile-${CND_CONF}.mk util.c 
+       ${MKDIR} -p ${OBJECTDIR}
+       ${RM} $@.d
+       $(COMPILE.c) -g -fPIC  -MMD -MP -MF $@.d -o ${OBJECTDIR}/util.o util.c
+
+# Subprojects
+.build-subprojects:
+
+# Clean Targets
+.clean-conf: ${CLEAN_SUBPROJECTS}
+       ${RM} -r build/Linux_Debug
+       ${RM} dist/Linux_Debug/GNU-Linux-x86/libvhook.so
+
+# Subprojects
+.clean-subprojects:
+
+# Enable dependency checking
+.dep.inc: .depcheck-impl
+
+include .dep.inc
index 0399bf4..54c9b1b 100644 (file)
@@ -24,14 +24,14 @@ CLEAN_SUBPROJECTS=${CLEAN_SUBPROJECTS_${SUBPROJECTS}}
 
 
 # Project Name
-PROJECTNAME=saccubus_vhook
+PROJECTNAME=vhook
 
 # Active Configuration
 DEFAULTCONF=Debug
 CONF=${DEFAULTCONF}
 
 # All Configurations
-ALLCONFS=Debug Release 
+ALLCONFS=Debug Release Linux_Debug 
 
 
 # build
index a5635c1..bcff29f 100644 (file)
@@ -7,18 +7,26 @@ CND_BASEDIR=`pwd`
 CND_BUILDDIR=build
 CND_DISTDIR=dist
 # Debug configuration
-CND_PLATFORM_Debug=MinGW_sjlj-Windows
-CND_ARTIFACT_DIR_Debug=dist/Debug/MinGW_sjlj-Windows
+CND_PLATFORM_Debug=
+CND_ARTIFACT_DIR_Debug=dist/Debug/
 CND_ARTIFACT_NAME_Debug=nicovideodbg.dll
-CND_ARTIFACT_PATH_Debug=dist/Debug/MinGW_sjlj-Windows/nicovideodbg.dll
-CND_PACKAGE_DIR_Debug=dist/Debug/MinGW_sjlj-Windows/package
-CND_PACKAGE_NAME_Debug=libsaccubusvhook.dll.tar
-CND_PACKAGE_PATH_Debug=dist/Debug/MinGW_sjlj-Windows/package/libsaccubusvhook.dll.tar
+CND_ARTIFACT_PATH_Debug=dist/Debug//nicovideodbg.dll
+CND_PACKAGE_DIR_Debug=dist/Debug//package
+CND_PACKAGE_NAME_Debug=libvhook.dll.tar
+CND_PACKAGE_PATH_Debug=dist/Debug//package/libvhook.dll.tar
 # Release configuration
-CND_PLATFORM_Release=MinGW_sjlj-Windows
-CND_ARTIFACT_DIR_Release=dist/Release/MinGW_sjlj-Windows
+CND_PLATFORM_Release=
+CND_ARTIFACT_DIR_Release=dist/Release/
 CND_ARTIFACT_NAME_Release=nicovideo.dll
-CND_ARTIFACT_PATH_Release=dist/Release/MinGW_sjlj-Windows/nicovideo.dll
-CND_PACKAGE_DIR_Release=dist/Release/MinGW_sjlj-Windows/package
-CND_PACKAGE_NAME_Release=libsaccubusvhook.dll.tar
-CND_PACKAGE_PATH_Release=dist/Release/MinGW_sjlj-Windows/package/libsaccubusvhook.dll.tar
+CND_ARTIFACT_PATH_Release=dist/Release//nicovideo.dll
+CND_PACKAGE_DIR_Release=dist/Release//package
+CND_PACKAGE_NAME_Release=libvhook.dll.tar
+CND_PACKAGE_PATH_Release=dist/Release//package/libvhook.dll.tar
+# Linux_Debug configuration
+CND_PLATFORM_Linux_Debug=GNU-Linux-x86
+CND_ARTIFACT_DIR_Linux_Debug=dist/Linux_Debug/GNU-Linux-x86
+CND_ARTIFACT_NAME_Linux_Debug=libvhook.so
+CND_ARTIFACT_PATH_Linux_Debug=dist/Linux_Debug/GNU-Linux-x86/libvhook.so
+CND_PACKAGE_DIR_Linux_Debug=dist/Linux_Debug/GNU-Linux-x86/package
+CND_PACKAGE_NAME_Linux_Debug=libvhook.so.tar
+CND_PACKAGE_PATH_Linux_Debug=dist/Linux_Debug/GNU-Linux-x86/package/libvhook.so.tar
diff --git a/vhook/nbproject/Package-Linux_Debug.bash b/vhook/nbproject/Package-Linux_Debug.bash
new file mode 100644 (file)
index 0000000..8d0a39e
--- /dev/null
@@ -0,0 +1,74 @@
+#!/bin/bash -x
+
+#
+# Generated - do not edit!
+#
+
+# Macros
+TOP=`pwd`
+CND_PLATFORM=GNU-Linux-x86
+CND_CONF=Linux_Debug
+CND_DISTDIR=dist
+TMPDIR=build/${CND_CONF}/${CND_PLATFORM}/tmp-packaging
+TMPDIRNAME=tmp-packaging
+OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/libvhook.so
+OUTPUT_BASENAME=libvhook.so
+PACKAGE_TOP_DIR=libvhook.so/
+
+# Functions
+function checkReturnCode
+{
+    rc=$?
+    if [ $rc != 0 ]
+    then
+        exit $rc
+    fi
+}
+function makeDirectory
+# $1 directory path
+# $2 permission (optional)
+{
+    mkdir -p "$1"
+    checkReturnCode
+    if [ "$2" != "" ]
+    then
+      chmod $2 "$1"
+      checkReturnCode
+    fi
+}
+function copyFileToTmpDir
+# $1 from-file path
+# $2 to-file path
+# $3 permission
+{
+    cp "$1" "$2"
+    checkReturnCode
+    if [ "$3" != "" ]
+    then
+        chmod $3 "$2"
+        checkReturnCode
+    fi
+}
+
+# Setup
+cd "${TOP}"
+mkdir -p ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/package
+rm -rf ${TMPDIR}
+mkdir -p ${TMPDIR}
+
+# Copy files and create directories and links
+cd "${TOP}"
+makeDirectory ${TMPDIR}/libvhook.so/lib
+copyFileToTmpDir "${OUTPUT_PATH}" "${TMPDIR}/${PACKAGE_TOP_DIR}lib/${OUTPUT_BASENAME}" 0644
+
+
+# Generate tar file
+cd "${TOP}"
+rm -f ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/package/libvhook.so.tar
+cd ${TMPDIR}
+tar -vcf ../../../../${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/package/libvhook.so.tar *
+checkReturnCode
+
+# Cleanup
+cd "${TOP}"
+rm -rf ${TMPDIR}
index 84d046c..1dbabef 100644 (file)
-<?xml version="1.0" encoding="EUC-JP"?>\r
-<configurationDescriptor version="62">\r
-  <logicalFolder name="root" displayName="root" projectFiles="true">\r
-    <logicalFolder name="SourceFiles" displayName="¥½¡¼¥¹¥Õ¥¡¥¤¥ë" projectFiles="true">\r
-      <logicalFolder name="chat" displayName="chat" projectFiles="true">\r
-        <itemPath>chat/chat.c</itemPath>\r
-        <itemPath>chat/chat_slot.c</itemPath>\r
-        <itemPath>chat/process_chat.c</itemPath>\r
-      </logicalFolder>\r
-      <logicalFolder name="comment" displayName="comment" projectFiles="true">\r
-        <itemPath>comment/com_surface.c</itemPath>\r
-        <itemPath>comment/shadow.c</itemPath>\r
-        <itemPath>comment/surf_util.c</itemPath>\r
-      </logicalFolder>\r
-      <logicalFolder name="common" displayName="common" projectFiles="true">\r
-      </logicalFolder>\r
-      <itemPath>framehook.c</itemPath>\r
-      <itemPath>main.c</itemPath>\r
-      <itemPath>process.c</itemPath>\r
-      <itemPath>util.c</itemPath>\r
-    </logicalFolder>\r
-    <logicalFolder name="HeaderFiles" displayName="¥Ø¥Ã¥À¡¼¥Õ¥¡¥¤¥ë" projectFiles="true">\r
-      <logicalFolder name="chat" displayName="chat" projectFiles="true">\r
-        <itemPath>chat/chat.h</itemPath>\r
-        <itemPath>chat/chat_slot.h</itemPath>\r
-        <itemPath>chat/process_chat.h</itemPath>\r
-      </logicalFolder>\r
-      <logicalFolder name="comment" displayName="comment" projectFiles="true">\r
-        <itemPath>comment/com_surface.h</itemPath>\r
-        <itemPath>comment/shadow.h</itemPath>\r
-        <itemPath>comment/surf_util.h</itemPath>\r
-      </logicalFolder>\r
-      <logicalFolder name="common" displayName="common" projectFiles="true">\r
-        <itemPath>common/framehook_ext.h</itemPath>\r
-      </logicalFolder>\r
-      <itemPath>framehook.h</itemPath>\r
-      <itemPath>header.h</itemPath>\r
-      <itemPath>main.h</itemPath>\r
-      <itemPath>mydef.h</itemPath>\r
-      <itemPath>nicodef.h</itemPath>\r
-      <itemPath>process.h</itemPath>\r
-      <itemPath>struct_define.h</itemPath>\r
-      <itemPath>util.h</itemPath>\r
-    </logicalFolder>\r
-    <logicalFolder name="ResourceFiles" displayName="¥ê¥½¡¼¥¹¥Õ¥¡¥¤¥ë" projectFiles="true">\r
-    </logicalFolder>\r
-    <logicalFolder name="ExternalFiles" displayName="½ÅÍפʥե¡¥¤¥ë" projectFiles="false">\r
-      <itemPath>Makefile</itemPath>\r
-    </logicalFolder>\r
-  </logicalFolder>\r
-  <projectmakefile>Makefile</projectmakefile>\r
-  <confs>\r
-    <conf name="Debug" type="2">\r
-      <toolsSet>\r
-        <developmentServer>localhost</developmentServer>\r
-        <compilerSet>MinGW_sjlj|MinGW</compilerSet>\r
-        <platform>3</platform>\r
-      </toolsSet>\r
-      <compileType>\r
-        <linkerTool>\r
-          <output>dist/Debug/${CND_PLATFORM}/nicovideodbg.dll</output>\r
-          <linkerKpic>false</linkerKpic>\r
-          <linkerLibItems>\r
-            <linkerLibLibItem>SDL_gfx</linkerLibLibItem>\r
-            <linkerLibLibItem>SDLmain</linkerLibLibItem>\r
-            <linkerLibLibItem>SDL.dll</linkerLibLibItem>\r
-            <linkerLibLibItem>SDL_ttf</linkerLibLibItem>\r
-          </linkerLibItems>\r
-        </linkerTool>\r
-      </compileType>\r
-    </conf>\r
-    <conf name="Release" type="2">\r
-      <toolsSet>\r
-        <developmentServer>localhost</developmentServer>\r
-        <compilerSet>MinGW_sjlj|MinGW</compilerSet>\r
-        <platform>3</platform>\r
-      </toolsSet>\r
-      <compileType>\r
-        <cTool>\r
-          <developmentMode>6</developmentMode>\r
-        </cTool>\r
-        <ccTool>\r
-          <developmentMode>5</developmentMode>\r
-        </ccTool>\r
-        <fortranCompilerTool>\r
-          <developmentMode>5</developmentMode>\r
-        </fortranCompilerTool>\r
-        <linkerTool>\r
-          <output>dist/Release/${CND_PLATFORM}/nicovideo.dll</output>\r
-          <linkerKpic>false</linkerKpic>\r
-          <linkerLibItems>\r
-            <linkerLibLibItem>SDL_gfx</linkerLibLibItem>\r
-            <linkerLibLibItem>SDLmain</linkerLibLibItem>\r
-            <linkerLibLibItem>SDL.dll</linkerLibLibItem>\r
-            <linkerLibLibItem>SDL_ttf</linkerLibLibItem>\r
-          </linkerLibItems>\r
-        </linkerTool>\r
-      </compileType>\r
-    </conf>\r
-  </confs>\r
-</configurationDescriptor>\r
+<?xml version="1.0" encoding="UTF-8"?>
+<configurationDescriptor version="62">
+  <logicalFolder name="root" displayName="root" projectFiles="true">
+    <logicalFolder name="SourceFiles" displayName="ソースファイル" projectFiles="true">
+      <logicalFolder name="chat" displayName="chat" projectFiles="true">
+        <itemPath>chat/chat.c</itemPath>
+        <itemPath>chat/chat_slot.c</itemPath>
+        <itemPath>chat/process_chat.c</itemPath>
+      </logicalFolder>
+      <logicalFolder name="comment" displayName="comment" projectFiles="true">
+        <itemPath>comment/com_surface.c</itemPath>
+        <itemPath>comment/shadow.c</itemPath>
+        <itemPath>comment/surf_util.c</itemPath>
+      </logicalFolder>
+      <logicalFolder name="common" displayName="common" projectFiles="true">
+      </logicalFolder>
+      <itemPath>framehook.c</itemPath>
+      <itemPath>main.c</itemPath>
+      <itemPath>process.c</itemPath>
+      <itemPath>util.c</itemPath>
+    </logicalFolder>
+    <logicalFolder name="HeaderFiles" displayName="ヘッダーファイル" projectFiles="true">
+      <logicalFolder name="chat" displayName="chat" projectFiles="true">
+        <itemPath>chat/chat.h</itemPath>
+        <itemPath>chat/chat_slot.h</itemPath>
+        <itemPath>chat/process_chat.h</itemPath>
+      </logicalFolder>
+      <logicalFolder name="comment" displayName="comment" projectFiles="true">
+        <itemPath>comment/com_surface.h</itemPath>
+        <itemPath>comment/shadow.h</itemPath>
+        <itemPath>comment/surf_util.h</itemPath>
+      </logicalFolder>
+      <logicalFolder name="common" displayName="common" projectFiles="true">
+        <itemPath>common/framehook_ext.h</itemPath>
+      </logicalFolder>
+      <itemPath>framehook.h</itemPath>
+      <itemPath>header.h</itemPath>
+      <itemPath>main.h</itemPath>
+      <itemPath>mydef.h</itemPath>
+      <itemPath>nicodef.h</itemPath>
+      <itemPath>process.h</itemPath>
+      <itemPath>struct_define.h</itemPath>
+      <itemPath>util.h</itemPath>
+    </logicalFolder>
+    <logicalFolder name="ResourceFiles" displayName="リソースファイル" projectFiles="true">
+    </logicalFolder>
+    <logicalFolder name="ExternalFiles" displayName="重要なファイル" projectFiles="false">
+      <itemPath>Makefile</itemPath>
+    </logicalFolder>
+  </logicalFolder>
+  <projectmakefile>Makefile</projectmakefile>
+  <confs>
+    <conf name="Debug" type="2">
+      <toolsSet>
+        <developmentServer>localhost</developmentServer>
+        <compilerSet>MinGW_sjlj|MinGW</compilerSet>
+        <platform>3</platform>
+      </toolsSet>
+      <compileType>
+        <linkerTool>
+          <output>dist/Debug/${CND_PLATFORM}/nicovideodbg.dll</output>
+          <linkerKpic>false</linkerKpic>
+          <linkerLibItems>
+            <linkerLibLibItem>SDL_gfx</linkerLibLibItem>
+            <linkerLibLibItem>SDLmain</linkerLibLibItem>
+            <linkerLibLibItem>SDL.dll</linkerLibLibItem>
+            <linkerLibLibItem>SDL_ttf</linkerLibLibItem>
+          </linkerLibItems>
+        </linkerTool>
+      </compileType>
+    </conf>
+    <conf name="Release" type="2">
+      <toolsSet>
+        <developmentServer>localhost</developmentServer>
+        <compilerSet>MinGW_sjlj|MinGW</compilerSet>
+        <platform>3</platform>
+      </toolsSet>
+      <compileType>
+        <cTool>
+          <developmentMode>6</developmentMode>
+        </cTool>
+        <ccTool>
+          <developmentMode>5</developmentMode>
+        </ccTool>
+        <fortranCompilerTool>
+          <developmentMode>5</developmentMode>
+        </fortranCompilerTool>
+        <linkerTool>
+          <output>dist/Release/${CND_PLATFORM}/nicovideo.dll</output>
+          <linkerKpic>false</linkerKpic>
+          <linkerLibItems>
+            <linkerLibLibItem>SDL_gfx</linkerLibLibItem>
+            <linkerLibLibItem>SDLmain</linkerLibLibItem>
+            <linkerLibLibItem>SDL.dll</linkerLibLibItem>
+            <linkerLibLibItem>SDL_ttf</linkerLibLibItem>
+          </linkerLibItems>
+        </linkerTool>
+      </compileType>
+    </conf>
+    <conf name="Linux_Debug" type="2">
+      <toolsSet>
+        <developmentServer>localhost</developmentServer>
+        <compilerSet>GNU|GNU</compilerSet>
+        <platform>2</platform>
+      </toolsSet>
+      <compileType>
+        <linkerTool>
+          <linkerAddLib>
+            <pElem>/media/sdb1/home/yuki/fflibs/lib</pElem>
+          </linkerAddLib>
+          <linkerLibItems>
+          </linkerLibItems>
+        </linkerTool>
+      </compileType>
+    </conf>
+  </confs>
+</configurationDescriptor>
index 1054771..e597def 100644 (file)
@@ -1,15 +1,15 @@
-<?xml version="1.0" encoding="UTF-8"?>\r
-<project xmlns="http://www.netbeans.org/ns/project/1">\r
-    <type>org.netbeans.modules.cnd.makeproject</type>\r
-    <configuration>\r
-        <data xmlns="http://www.netbeans.org/ns/make-project/1">\r
-            <name>vhook</name>\r
-            <make-project-type>0</make-project-type>\r
-            <c-extensions>c</c-extensions>\r
-            <cpp-extensions/>\r
-            <header-extensions>h</header-extensions>\r
-            <sourceEncoding>windows-31j</sourceEncoding>\r
-            <make-dep-projects/>\r
-        </data>\r
-    </configuration>\r
-</project>\r
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://www.netbeans.org/ns/project/1">
+    <type>org.netbeans.modules.cnd.makeproject</type>
+    <configuration>
+        <data xmlns="http://www.netbeans.org/ns/make-project/1">
+            <name>vhook</name>
+            <make-project-type>0</make-project-type>
+            <c-extensions>c</c-extensions>
+            <cpp-extensions/>
+            <header-extensions>h</header-extensions>
+            <sourceEncoding>windows-31j</sourceEncoding>
+            <make-dep-projects/>
+        </data>
+    </configuration>
+</project>